<?php

namespace App\Modules\Integration;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Route;
use App\Modules\Integration\Middleware\TenantIdentificationMiddleware;

class IntegrationServiceProvider extends ServiceProvider
{
    public function boot()
    {
        $this->loadRoutesFrom(__DIR__ . '/Routes/api.php');
        $this->loadMigrationsFrom(__DIR__ . '/Database/Migrations');

        // Register Middleware Alias
        Route::aliasMiddleware('integration.tenant', TenantIdentificationMiddleware::class);
    }

    public function register()
    {
        //
    }
}
